#!/bin/bash

PGDATA=/var/lib/pgsql/9.6/data

{
	if [ -f $PGDATA/postgresql.conf ]; then
		echo "# Before grep postgresql.conf"
		grep "standard_conforming_strings" $PGDATA/postgresql.conf
		echo

		echo "# setting change"
		sed -i "s/^#standard_conforming_strings = .*/standard_conforming_strings = off/" $PGDATA/postgresql.conf
		echo

		echo "# After grep postgresql.conf"
		grep "standard_conforming_strings" $PGDATA/postgresql.conf
		echo

	else
		echo "conf file does not exists."
	fi
}
